Bug 101582 - [NEW PORT] devel/omake: A flexible build system
[NEW PORT] devel/omake: A flexible build system
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: itetcu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 14:00 UTC by ssedov
Modified: 2006-09-06 08:33 UTC (History)
0 users

See Also:


Attachments
omake-0.9.6.9.1.shar (3.96 KB, text/plain)
2006-08-07 14:00 UTC, ssedov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ssedov 2006-08-07 14:00:31 UTC
OMake is a build system designed for scalability and portability. It uses a
syntax similar to make utilities you may have used, but it features many
additional enhancements.

WWW:	http://omake.metaprl.org/index.html
Comment 1 itetcu freebsd_committer 2006-08-20 13:20:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 itetcu freebsd_committer 2006-08-20 13:31:08 UTC
State Changed
From-To: open->feedback

doesn't fetch: 
http://sce-tindy.tecnik93.com/tb/errors/4-STABLE-i386-myPT/omake-0.9.6.9.1.log
Comment 3 itetcu freebsd_committer 2006-08-22 21:21:49 UTC
State Changed
From-To: feedback->open

new patch received
Comment 4 itetcu freebsd_committer 2006-09-01 11:03:46 UTC
On amd64-CURRENT:

OMAKEFLAGS= ./omake-boot --dotomake .omake --force-dotomake -j2 -S --progress main
*** omake: reading OMakefiles
--- Testing for gcc... (gcc found)
--- Testing for g++... (g++ found)
--- Testing for ocamlfind... (FAILED - no ocamlfind found)
--- Testing for ocamlc.opt... (ocamlc.opt found)
--- Testing for ocamlopt.opt... (ocamlopt.opt found)
--- Testing whether ocamlc understands the "z" warnings... (yes)
--- Testing for latex... (FAILED - no latex found)
--- Testing for FAM... (disabled)
--- Testing for ncurses... (enabled)
--- Testing for readline... (enabled) (GNU)
- include . .config
+ <exp>
Updating the .config file.
--- Testing for latex2man... (FAILED - no latex2man found)
*** omake: finished reading OMakefiles (0.9 sec)
[==========                                                    ] 00146 / 00945
[===============                                               ] 00222 / 00945
[=================                                             ] 00262 / 00945
[===================                                           ] 00294 / 00945
[====================                                          ] 00308 / 00945
                                                                                
- build src/clib lm_heap.o
+ gcc -O2 -fno-strict-aliasing -pipe -g -O2 -Wall -Werror -Wno-unused -DREADLINE_ENABLED -DREADLINE_GNU -I. -I/usr/local/lib/ocaml -I. -c -o lm_heap.o lm_heap.c
lm_heap.c: In function `lm_heap_check_aux1':
lm_heap.c:94: warning: int format, different type arg (arg 8)
lm_heap.c:94: warning: int format, different type arg (arg 9)
lm_heap.c:94: warning: int format, different type arg (arg 10)
lm_heap.c: In function `lm_heap_check_aux2':
lm_heap.c:178: warning: int format, different type arg (arg 8)
lm_heap.c:178: warning: int format, different type arg (arg 9)
lm_heap.c:178: warning: int format, different type arg (arg 10)
[==============================                                ] 00466 / 00953
                                                                                
*** omake: 466/953 targets are up to date
*** omake: failed (7.3 sec, 60/60 scans, 123/153 rules, 397/1191 digests)
*** omake: targets were not rebuilt because of errors:
   src/clib/lm_heap.o
*** Error code 1

Stop in /work/a/ports/devel/omake/work/omake-0.9.6.9.
*** Error code 1

On amd64-6-STABLE:
--- Testing for latex2man... (FAILED - no latex2man found)
*** omake: finished reading OMakefiles (0.9 sec)
[=========                                                     ] 00140 / 00945
[==============                                                ] 00219 / 00945
[=================                                             ] 00262 / 00945
[===================                                           ] 00290 / 00945
[===========================                                   ] 00425 / 00945
                                                                                
- build src/clib lm_heap.o
+ gcc -O2 -fno-strict-aliasing -pipe -g -O2 -Wall -Werror -Wno-unused -DREADLINE_ENABLED -DREADLINE_GNU -I. -I/usr/local/lib/ocaml -I. -c -o lm_heap.o lm_heap.c
lm_heap.c: In function `lm_heap_check_aux1':
lm_heap.c:94: warning: int format, different type arg (arg 8)
lm_heap.c:94: warning: int format, different type arg (arg 9)
lm_heap.c:94: warning: int format, different type arg (arg 10)
lm_heap.c: In function `lm_heap_check_aux2':
lm_heap.c:178: warning: int format, different type arg (arg 8)
lm_heap.c:178: warning: int format, different type arg (arg 9)
lm_heap.c:178: warning: int format, different type arg (arg 10)
*** omake: 458/953 targets are up to date
*** omake: failed (6.5 sec, 60/60 scans, 119/145 rules, 389/1174 digests)
*** omake: targets were not rebuilt because of errors:
   src/clib/lm_heap.o
*** Error code 1


Same on 5.

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #346:
Your/our computer(s) has/have suffered a memory leak, and we are
waiting for them to be topped up

Comment 5 itetcu freebsd_committer 2006-09-01 11:04:11 UTC
State Changed
From-To: open->feedback

ask about the problems on amd64
Comment 6 itetcu freebsd_committer 2006-09-05 23:14:15 UTC
State Changed
From-To: feedback->open

new patch received
Comment 7 itetcu freebsd_committer 2006-09-06 08:33:11 UTC
State Changed
From-To: open->closed

New port added. Thanks!